This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 816850 - "Project Wide Search and replace" should have "undo" button
"Project Wide Search and replace" should have "undo" button
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Linux
unspecified Severity medium
: ---
: 1.6-beta-1
Assigned To: David Mason
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 03:54 EDT by Shankar Prasad
Modified: 2015-04-21 00:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.6-beta-1
Doc Type: Bug Fix
Doc Text:
- Individual 'Replace' buttons are replaced with 'Undo' buttons when undo is possible (i.e. after a replace has occured). - An 'undo' link is presented next to the message (bottom right) when multiple translations are replaced. - Individual 'Undo' buttons can be used after 'Replace All Selected' if the user wants to undo only some of a set of replaced translations. - Undo is only available until the translation is updated, so the 'Undo' button for a text flow will change back to 'Replace' if another user saves a translation (this is to prevent new translations being overwritten with an older translation).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shankar Prasad 2012-04-27 03:54:19 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0

In "Project Wide Search and replace" there should be "undo" button, which will help us to undo previous replacement.

Reproducible: Always

Steps to Reproduce:
1.Open any project in zanata in your locale.
2.Open a file which contains some translated entries.
3.Click on 'Project wide Search and Replace' button.
4.Enter text in both find and replace with fields.
5.Check any particular entry and click on replace OR Click on Replace All
Actual Results:  
This will replace the found entry with desired entry. But if any one wishes to revert this action, he has to manually replace that entry.

Expected Results:  
There should be undo option next replace button.
Comment 2 David Mason 2012-05-17 03:27:32 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- Individual 'Replace' buttons are replaced with 'Undo' buttons when undo is possible (i.e. after a replace has occured).
 - An 'undo' link is presented next to the message (bottom right) when multiple translations are replaced.
 - Individual 'Undo' buttons can be used after 'Replace All Selected' if the user wants to undo only some of a set of replaced translations.
 - Undo is only available until the translation is updated, so the 'Undo' button for a text flow will change back to 'Replace' if another user saves a translation (this is to prevent new translations being overwritten with an older translation).
Comment 3 Joyce Chang 2012-05-30 21:13:06 EDT
verified in Zanata version 1.6.0-beta-2-SNAPSHOT (20120531-0020).

Note You need to log in before you can comment on or make changes to this bug.